summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-15 09:03:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-15 09:03:44 +0000
commit4cbcd3347fecebeb3f9cf14e634f333a21664104 (patch)
treeb44f5b1943e6b6f64bd9c291321c7405cbad656a /dev-python
parentb12f03389c8503901aeb56263e848c3160f54d17 (diff)
downloadbaldeagleos-repo-4cbcd3347fecebeb3f9cf14e634f333a21664104.tar.gz
baldeagleos-repo-4cbcd3347fecebeb3f9cf14e634f333a21664104.tar.xz
baldeagleos-repo-4cbcd3347fecebeb3f9cf14e634f333a21664104.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/argon2-cffi-bindings/argon2-cffi-bindings-21.2.0.ebuild2
-rw-r--r--dev-python/argon2-cffi/Manifest1
-rw-r--r--dev-python/argon2-cffi/argon2-cffi-21.1.0-r1.ebuild34
-rw-r--r--dev-python/argon2-cffi/argon2-cffi-21.3.0-r1.ebuild2
-rw-r--r--dev-python/build/build-0.7.0.ebuild2
-rw-r--r--dev-python/croniter/Manifest1
-rw-r--r--dev-python/croniter/croniter-1.2.0.ebuild25
-rw-r--r--dev-python/graphviz/Manifest1
-rw-r--r--dev-python/graphviz/graphviz-0.18.2.ebuild33
-rw-r--r--dev-python/graphviz/graphviz-0.19.1.ebuild4
-rw-r--r--dev-python/numpy/Manifest4
-rw-r--r--dev-python/numpy/files/numpy-1.22.1-revert-setuptools-upper-bound.patch22
-rw-r--r--dev-python/numpy/numpy-1.22.1.ebuild167
-rw-r--r--dev-python/pandas/pandas-1.3.5.ebuild2
-rw-r--r--dev-python/pep517/pep517-0.12.0.ebuild2
-rw-r--r--dev-python/pytest-rerunfailures/pytest-rerunfailures-10.2.ebuild2
-rw-r--r--dev-python/python-utils/Manifest1
-rw-r--r--dev-python/python-utils/python-utils-3.1.0.ebuild28
-rw-r--r--dev-python/translate-toolkit/Manifest1
-rw-r--r--dev-python/translate-toolkit/translate-toolkit-3.5.3.ebuild100
-rw-r--r--dev-python/uvicorn/Manifest1
-rw-r--r--dev-python/uvicorn/uvicorn-0.17.0.ebuild44
22 files changed, 402 insertions, 77 deletions
diff --git a/dev-python/argon2-cffi-bindings/argon2-cffi-bindings-21.2.0.ebuild b/dev-python/argon2-cffi-bindings/argon2-cffi-bindings-21.2.0.ebuild
index f6b71b184d9b..c0fcd2776d91 100644
--- a/dev-python/argon2-cffi-bindings/argon2-cffi-bindings-21.2.0.ebuild
+++ b/dev-python/argon2-cffi-bindings/argon2-cffi-bindings-21.2.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ~ppc64 ~riscv ~s390 ~sparc x86"
IUSE="cpu_flags_x86_sse2"
DEPEND="app-crypt/argon2:="
diff --git a/dev-python/argon2-cffi/Manifest b/dev-python/argon2-cffi/Manifest
index 9e922e2ac44d..5e8fa5dedfce 100644
--- a/dev-python/argon2-cffi/Manifest
+++ b/dev-python/argon2-cffi/Manifest
@@ -1,2 +1 @@
-DIST argon2-cffi-21.1.0.tar.gz 1807800 BLAKE2B 47b1e785b7eb173b671a44e9212af76a59f453c3c0d0e5f2c437e7a62132abf86ab6baa8bdd656ad28d00a151296a66211d365c0afe228821c8c1ff1a0a66c46 SHA512 bbfebd2c075f360a6c1c187c0789be2aae7480b9398f36db7bdfe74f288d9e00b44a788918c54f4cc8bb1947136ab0493f61975de408c482a5131e2bf1a8f4d0
DIST argon2-cffi-21.3.0.tar.gz 38446 BLAKE2B e0464f501efcdfbf33d93e0c1c6dbc519ad6aee06c0b8692417156de608f6c6acf947f86b866c064601fe994087677e51d954ae2c1225cbbbba3534cf70c6296 SHA512 6cb2a075f3bb7040ee7f552d082bfa2f3df0854649d9c84fdfdb42bb4bee2133b8a35a20be2b3c887931efda12fbbb00815d8d88170b7e20b3ca19c86f97057e
diff --git a/dev-python/argon2-cffi/argon2-cffi-21.1.0-r1.ebuild b/dev-python/argon2-cffi/argon2-cffi-21.1.0-r1.ebuild
deleted file mode 100644
index aab1218b4942..000000000000
--- a/dev-python/argon2-cffi/argon2-cffi-21.1.0-r1.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-inherit distutils-r1
-
-DESCRIPTION="CFFI bindings to the Argon2 password hashing library"
-HOMEPAGE="https://github.com/hynek/argon2-cffi"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ~ppc64 ~riscv ~s390 ~sparc x86"
-
-DEPEND="
- app-crypt/argon2:=
- virtual/python-cffi[${PYTHON_USEDEP}]
-"
-RDEPEND="${DEPEND}"
-BDEPEND="
- test? (
- dev-python/hypothesis[${PYTHON_USEDEP}]
- )
-"
-
-DOCS=( AUTHORS.rst CHANGELOG.rst FAQ.rst README.rst )
-
-distutils_enable_sphinx docs \
- dev-python/furo
-distutils_enable_tests pytest
-
-export ARGON2_CFFI_USE_SYSTEM=1
diff --git a/dev-python/argon2-cffi/argon2-cffi-21.3.0-r1.ebuild b/dev-python/argon2-cffi/argon2-cffi-21.3.0-r1.ebuild
index fa1c1bbd5394..23078bdfeba7 100644
--- a/dev-python/argon2-cffi/argon2-cffi-21.3.0-r1.ebuild
+++ b/dev-python/argon2-cffi/argon2-cffi-21.3.0-r1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 hppa ~ia64 ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 hppa ~ia64 ppc ~ppc64 ~riscv ~s390 ~sparc x86"
RDEPEND=">=dev-python/argon2-cffi-bindings-21.2.0[${PYTHON_USEDEP}]"
BDEPEND="
diff --git a/dev-python/build/build-0.7.0.ebuild b/dev-python/build/build-0.7.0.ebuild
index f1b1876191fb..e9c40cbb5571 100644
--- a/dev-python/build/build-0.7.0.ebuild
+++ b/dev-python/build/build-0.7.0.ebuild
@@ -15,7 +15,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
>=dev-python/packaging-19.0[${PYTHON_USEDEP}]
diff --git a/dev-python/croniter/Manifest b/dev-python/croniter/Manifest
index 9ce8a3f3e30b..f7b14b692694 100644
--- a/dev-python/croniter/Manifest
+++ b/dev-python/croniter/Manifest
@@ -1 +1,2 @@
DIST croniter-1.1.0.tar.gz 39641 BLAKE2B 0c01d801b55b0fd6189d5b35f7493580aa25ea18e8be061152c6642fd05a9075c1211578124cd945bb754fda4704f637069a98c5080e41ce369cc3c959b35edf SHA512 ccc56e912d5ff684ec930f87ab096b0a739191014a2d0a76febddf0fe4155a6c319cf28011bea7b8f8034218a35813db65c3d4911ff575878a12f8fe1f75720e
+DIST croniter-1.2.0.tar.gz 39813 BLAKE2B eed3db9d96571de188f5bda3c3000ce4607e72fd97d2f70b34355495349744129c29ace03320d987f43d1692720dbfbb965e824091825b2e11222306a10d081c SHA512 0d7d59d617be16f7f1b6401a3c1260c3b644855c046fa6c2948cf2f2caaf7ee0183c659e0165c8d36068467893bb68bdd4024a246a85c76448ab0a62233c9ca1
diff --git a/dev-python/croniter/croniter-1.2.0.ebuild b/dev-python/croniter/croniter-1.2.0.ebuild
new file mode 100644
index 000000000000..9ed7104cdd3b
--- /dev/null
+++ b/dev-python/croniter/croniter-1.2.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python module to provide iteration for datetime object"
+HOMEPAGE="https://github.com/kiorky/croniter https://pypi.org/project/croniter/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/python-dateutil[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/tzlocal[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/graphviz/Manifest b/dev-python/graphviz/Manifest
index 28283c2d407c..889b66a36e2e 100644
--- a/dev-python/graphviz/Manifest
+++ b/dev-python/graphviz/Manifest
@@ -1,2 +1 @@
-DIST graphviz-0.18.2.zip 205555 BLAKE2B d245dcd33a7779f00bb9e740968175d4fbe12d3182682b548f447e2c4ce4423683c3fd2727aa693a5e9c264cfdeed603af9a7bc9839f8d91f5fc091045473146 SHA512 f18defc99411b0b12a8326589da603197d345f458d4b0d602e63205f8542fdf4bec636750ac0fc5551126dff4cd76ce04fc089c0985831a1efec3271a7f22230
DIST graphviz-0.19.1.zip 247779 BLAKE2B c0b226c2ae66f8b583a30cf2842b8cfdecd926f0e7f32fbbfb4dae17ce14792d0af8d8cf6de53cc9a7facdeb8b0a4a078b962eabf64460e1fd42dd995e069428 SHA512 3aa078887458d7bcd173c46ee6e4d8dbdae0c9103755e61e5a027c18e5d8913990aa16a595e80228607c17db1aa9dffdb93e264cafafc8b6318bc3a87547bc5d
diff --git a/dev-python/graphviz/graphviz-0.18.2.ebuild b/dev-python/graphviz/graphviz-0.18.2.ebuild
deleted file mode 100644
index 82a9873c84ff..000000000000
--- a/dev-python/graphviz/graphviz-0.18.2.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Simple Python interface for Graphviz"
-HOMEPAGE="https://graphviz.readthedocs.io/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
-
-LICENSE="MIT"
-KEYWORDS="amd64 ~riscv x86 ~amd64-linux ~x86-linux"
-SLOT="0"
-
-RDEPEND="media-gfx/graphviz"
-BDEPEND="
- app-arch/unzip
- test? (
- >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
- >=dev-python/pytest-mock-1.8[${PYTHON_USEDEP}]
- media-gfx/graphviz[gts,pdf]
- )
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
- sed -e 's:--cov --cov-report=term --cov-report=html::' \
- -i setup.cfg || die
- distutils-r1_src_prepare
-}
diff --git a/dev-python/graphviz/graphviz-0.19.1.ebuild b/dev-python/graphviz/graphviz-0.19.1.ebuild
index d3e0c82c5d41..6d2b6dd3e7de 100644
--- a/dev-python/graphviz/graphviz-0.19.1.ebuild
+++ b/dev-python/graphviz/graphviz-0.19.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -11,7 +11,7 @@ HOMEPAGE="https://graphviz.readthedocs.io/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
LICENSE="MIT"
-KEYWORDS="~amd64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~riscv x86 ~amd64-linux ~x86-linux"
SLOT="0"
RDEPEND="media-gfx/graphviz"
diff --git a/dev-python/numpy/Manifest b/dev-python/numpy/Manifest
index 993f73add007..521499f96a7f 100644
--- a/dev-python/numpy/Manifest
+++ b/dev-python/numpy/Manifest
@@ -4,21 +4,25 @@ DIST numpy-1.21.3.zip 10269351 BLAKE2B 60fc96d91e2c4e0b1c6ee409e02640686fe257f5a
DIST numpy-1.21.4.zip 10646392 BLAKE2B 6e2953c6ca8e35c99f5de5faaacfb2b76b351a5c9521ba27449fcdeca5614978ff7d71fc52ce3787d1c7506c4e8eb81b1a92d3bf6825de1cb1d304ea4de83820 SHA512 85575a009bf40a8e5acaaa949d2669545968825df34273e367c42af36fa882ebb0830ff7953b5617d34d3061b3877238524937c42470fac9464479dc33ae60ce
DIST numpy-1.21.5.zip 10652289 BLAKE2B c5bded91e5d06670ea3ace51560411c61985dd89ff0455b833838320f1714cf788a21a60aefd7a0ff30ad0abb93c9d296f60e637944000efa090b6c259c1f47c SHA512 03affa9d0bbf42a8d35f5454f1527df28539e306dc2b313fa775625201a5fe9eb7376f443bba5d50e08567546708811beb7201819eeb2af5a0653b7d91249f78
DIST numpy-1.22.0.zip 11291139 BLAKE2B 91cd2188aaa59d7be18761b74865295f400e309e34bf79067493221c5f0eb875a5c726dd8e322db84fa9714800347954b6a9896aadf914e87872497f7e65527c SHA512 dcea1a6cd257f6353caccc30b2adb1cf2e9d52191ec9f968839c85b1f776ebf8c5ac8bbf0751c2c6f292ae671e4006d26eb06691ca1504e4d65baf4cec3f9803
+DIST numpy-1.22.1.zip 11443674 BLAKE2B 3f2e5fbd449c078fd97670be14e87fd9bccc8418dc37f87199557642f0f951f5fd21b89eff938c30171eda3174c526db91e470e9e9cdc297b8abd9b4fe364ad5 SHA512 0d8b5ffb6f8377b3d6d6cb62fd7eef083f8a3b787542b7887e0d214c6fa78b63b6f726302bca554c0c11c57e4611926c8d8ff4abf5dd59842b8b58086391434d
DIST numpy-html-1.21.0.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
DIST numpy-html-1.21.1.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
DIST numpy-html-1.21.2.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
DIST numpy-html-1.21.3.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
DIST numpy-html-1.21.4.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
DIST numpy-html-1.21.5.zip 24270531 BLAKE2B 8a7a531afa559aebeb7a7b7ef94b2248df60a60fdfc190ca002dda625003df8b432fed393d6dd0c0c00fafbeb5064a61e3d99bba1a6c41e1e6e34ce091a43c89 SHA512 a165b95729a13806a03464cf39c20a0e18cfcf7701f05cd7777cd115bfaf0972f7155d201c7bd8d4177c5761f8800c982b3e3c29729a5e9ed356059842a44dcc
+DIST numpy-html-1.22.1.zip 23724824 BLAKE2B 44ea3da0a703a024a629c8413dfffaf760458b185d19452da0e7e23c819e19833291e10ebd07bdda794077574b8852a368036dda8335c2753cd481740497502a SHA512 4077d9974bfd7f2c189025c3740350652e6f8e0b5727fbc9711a1c0118c1e4ecc281d4876baf1c6a5dc802d20178d6b04a2922f14e9c321cd3b68228b1e295c3
DIST numpy-ref-1.21.0.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
DIST numpy-ref-1.21.1.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
DIST numpy-ref-1.21.2.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
DIST numpy-ref-1.21.3.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
DIST numpy-ref-1.21.4.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
DIST numpy-ref-1.21.5.pdf 7326979 BLAKE2B 3c1130a576c46e0705ca1f12e7a3345beb1acdd23de2a81448e4e9755636dec313e277a0d3167dc3b211332b3fc415ac0d96e7c99e859b51a16a589426814182 SHA512 5dd37ca03f1f098fffce80aa6a1a6eb8ec66df4322da1c620bd1f507e89ee2ceb222de32c9b7974f085ddf146f0a789ea8eb27d792a13c1aa8a893c00f94f75f
+DIST numpy-ref-1.22.1.pdf 7537013 BLAKE2B 702398fddde349901f9303f4788a3ae3cc4bb78b4d310e169fcc6193fd62b33947c89ede45ba9aaea55e74f6a6abc755d3d94428adce9a8163678c6718aec2da SHA512 c1617817f94ccdfe2bbdebdc9c6869beefa1369d5ab0897c1573d8fb5cb3de153f90d5588aae84a0f498fba57ad6bc5c0c5c2c3aefb119e2913e4ddf007cc8e1
DIST numpy-user-1.21.0.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
DIST numpy-user-1.21.1.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
DIST numpy-user-1.21.2.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
DIST numpy-user-1.21.3.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
DIST numpy-user-1.21.4.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
DIST numpy-user-1.21.5.pdf 5142404 BLAKE2B d670f1eb0f060599a640c52bdeba53b1758007fc2090a5b8fb6e135e71114149a0085811e4bc21396eabb1123ffb9edd39f8192d0165ab42dd066a9747eb3a3f SHA512 dde264abff1787efd50e913b6facf83522b3344ed88fd15d6fe73ecd44c6a3db1e4ce4251c9674bbcb122f72ab86c64142b2f4f992a6449405041f8e1f5f1ace
+DIST numpy-user-1.22.1.pdf 3978348 BLAKE2B 87cc73cb1c406446eb9d86ea6cbaeac6ba13c7d2b2ffd47524483af1698c3efdfaafe61e987624c5ce01939494861413b271e9a96f49abbbe69d634b9be55c95 SHA512 8e04c0c90255038471de6ef0f8f4ed9e356d646b028bb16f667f3c59170eddaa0d86d48226462c5c17b8123b2a28a09982764979e9e76658b4e26cd0a976f3a1
diff --git a/dev-python/numpy/files/numpy-1.22.1-revert-setuptools-upper-bound.patch b/dev-python/numpy/files/numpy-1.22.1-revert-setuptools-upper-bound.patch
new file mode 100644
index 000000000000..a2bc9c939aea
--- /dev/null
+++ b/dev-python/numpy/files/numpy-1.22.1-revert-setuptools-upper-bound.patch
@@ -0,0 +1,22 @@
+Revert https://github.com/numpy/numpy/commit/eb6be7c4765665724cd12431bfefb050ba0f2d4b.
+
+See also:
+https://github.com/pypa/setuptools/issues/2372
+https://github.com/numpy/numpy/issues/20692
+
+In the ebuild, we're forcing SETUPTOOLS_USE_DISTUTILS=stdlib which uses
+the distutils version from within Python (which will be removed in 3.11)
+rather than the bundled-in-setuptools-60 version which breaks numpy.
+--- a/setup.py
++++ b/setup.py
+@@ -80,10 +80,6 @@ if os.path.exists('MANIFEST'):
+ # so that it is in sys.modules
+ import numpy.distutils.command.sdist
+ import setuptools
+-if int(setuptools.__version__.split('.')[0]) >= 60:
+- raise RuntimeError(
+- "Setuptools version is '{}', version < '60.0.0' is required. "
+- "See pyproject.toml".format(setuptools.__version__))
+
+ # Initialize cmdclass from versioneer
+ from numpy.distutils.core import numpy_cmdclass
diff --git a/dev-python/numpy/numpy-1.22.1.ebuild b/dev-python/numpy/numpy-1.22.1.ebuild
new file mode 100644
index 000000000000..ea76d1d57efd
--- /dev/null
+++ b/dev-python/numpy/numpy-1.22.1.ebuild
@@ -0,0 +1,167 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+FORTRAN_NEEDED=lapack
+
+inherit distutils-r1 flag-o-matic fortran-2 toolchain-funcs
+
+DOC_PV=${PV}
+# For when docs aren't ready yet, set to last version
+#DOC_PV=1.22.0
+DESCRIPTION="Fast array and numerical python library"
+HOMEPAGE="https://numpy.org/"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.zip
+ doc? (
+ https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-html.zip -> numpy-html-${DOC_PV}.zip
+ https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-ref.pdf -> numpy-ref-${DOC_PV}.pdf
+ https://numpy.org/doc/$(ver_cut 1-2 ${DOC_PV})/numpy-user.pdf -> numpy-user-${DOC_PV}.pdf
+ )"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc lapack"
+
+RDEPEND="
+ lapack? (
+ >=virtual/cblas-3.8
+ >=virtual/lapack-3.8
+ )
+"
+BDEPEND="
+ ${RDEPEND}
+ app-arch/unzip
+ >=dev-python/cython-0.29.24[${PYTHON_USEDEP}]
+ lapack? ( virtual/pkgconfig )
+ test? (
+ >=dev-python/hypothesis-5.8.0[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ >=dev-python/cffi-1.14.0[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.22.0-no-hardcode-blasv2.patch
+ "${FILESDIR}"/${PN}-1.22.1-revert-setuptools-upper-bound.patch
+)
+
+distutils_enable_tests pytest
+
+src_unpack() {
+ default
+ if use doc; then
+ unzip -qo "${DISTDIR}"/numpy-html-${DOC_PV}.zip -d html || die
+ fi
+}
+
+python_prepare_all() {
+ # Allow use with setuptools 60.x
+ # See numpy-1.22.1-revert-setuptools-upper-bound.patch for details
+ export SETUPTOOLS_USE_DISTUTILS=stdlib
+
+ if use lapack; then
+ local incdir="${EPREFIX}"/usr/include
+ local libdir="${EPREFIX}"/usr/$(get_libdir)
+ cat >> site.cfg <<-EOF || die
+ [blas]
+ include_dirs = ${incdir}
+ library_dirs = ${libdir}
+ blas_libs = cblas,blas
+ [lapack]
+ library_dirs = ${libdir}
+ lapack_libs = lapack
+ EOF
+ else
+ export {ATLAS,PTATLAS,BLAS,LAPACK,MKL}=None
+ fi
+
+ export CC="$(tc-getCC) ${CFLAGS}"
+
+ append-flags -fno-strict-aliasing
+
+ # See progress in http://projects.scipy.org/scipy/numpy/ticket/573
+ # with the subtle difference that we don't want to break Darwin where
+ # -shared is not a valid linker argument
+ if [[ ${CHOST} != *-darwin* ]]; then
+ append-ldflags -shared
+ fi
+
+ # only one fortran to link with:
+ # linking with cblas and lapack library will force
+ # autodetecting and linking to all available fortran compilers
+ append-fflags -fPIC
+ if use lapack; then
+ NUMPY_FCONFIG="config_fc --noopt --noarch"
+ # workaround bug 335908
+ [[ $(tc-getFC) == *gfortran* ]] && NUMPY_FCONFIG+=" --fcompiler=gnu95"
+ fi
+
+ # don't version f2py, we will handle it.
+ sed -i -e '/f2py_exe/s: + os\.path.*$::' numpy/f2py/setup.py || die
+
+ # disable fuzzed tests
+ find numpy/*/tests -name '*.py' -exec sed -i \
+ -e 's:def \(.*_fuzz\):def _\1:' {} + || die
+ # very memory- and disk-hungry
+ sed -i -e 's:test_large_zip:_&:' numpy/lib/tests/test_io.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile() {
+ export MAKEOPTS=-j1 #660754
+
+ distutils-r1_python_compile ${NUMPY_FCONFIG}
+}
+
+python_test() {
+ local deselect=(
+ numpy/typing/tests/test_typing.py::test_reveal[arrayterator.py]
+ )
+
+ if use arm && [[ $(uname -m || echo "unknown") == "armv8l" ]] ; then
+ # Degenerate case. arm32 chroot on arm64.
+ # bug #774108
+ deselect+=(
+ numpy/core/tests/test_cpu_features.py::Test_ARM_Features::test_features
+ )
+ fi
+
+ if use x86 ; then
+ deselect+=(
+ # https://github.com/numpy/numpy/issues/18388
+ numpy/core/tests/test_umath.py::TestRemainder::test_float_remainder_overflow
+ # https://github.com/numpy/numpy/issues/18387
+ numpy/random/tests/test_generator_mt19937.py::TestRandomDist::test_pareto
+ )
+ fi
+
+ distutils_install_for_testing --single-version-externally-managed \
+ --record "${TMPDIR}/record.txt" ${NUMPY_FCONFIG}
+
+ cd "${TEST_DIR}/lib" || die
+ epytest ${deselect[@]/#/--deselect }
+}
+
+python_install() {
+ # https://github.com/numpy/numpy/issues/16005
+ local mydistutilsargs=( build_src )
+ distutils-r1_python_install ${NUMPY_FCONFIG}
+ python_optimize
+}
+
+python_install_all() {
+ local DOCS=( LICENSE.txt README.md THANKS.txt )
+
+ if use doc; then
+ local HTML_DOCS=( "${WORKDIR}"/html/. )
+ DOCS+=( "${DISTDIR}"/${PN}-{user,ref}-${DOC_PV}.pdf )
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pandas/pandas-1.3.5.ebuild b/dev-python/pandas/pandas-1.3.5.ebuild
index d7062fffe52f..0792df95ab7d 100644
--- a/dev-python/pandas/pandas-1.3.5.ebuild
+++ b/dev-python/pandas/pandas-1.3.5.ebuild
@@ -18,7 +18,7 @@ S="${WORKDIR}/${P/_/}"
SLOT="0"
LICENSE="BSD"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ppc ~ppc64 ~riscv ~s390 ~x86"
+KEYWORDS="~amd64 ~arm arm64 ~hppa ~ia64 ppc ~ppc64 ~riscv ~s390 ~x86"
IUSE="doc full-support minimal test X"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pep517/pep517-0.12.0.ebuild b/dev-python/pep517/pep517-0.12.0.ebuild
index c8fc84b7adf2..a54241ecac25 100644
--- a/dev-python/pep517/pep517-0.12.0.ebuild
+++ b/dev-python/pep517/pep517-0.12.0.ebuild
@@ -19,7 +19,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
dev-python/tomli[${PYTHON_USEDEP}]"
diff --git a/dev-python/pytest-rerunfailures/pytest-rerunfailures-10.2.ebuild b/dev-python/pytest-rerunfailures/pytest-rerunfailures-10.2.ebuild
index 16afb975a1d5..7433ec611e52 100644
--- a/dev-python/pytest-rerunfailures/pytest-rerunfailures-10.2.ebuild
+++ b/dev-python/pytest-rerunfailures/pytest-rerunfailures-10.2.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="MPL-2.0"
-KEYWORDS="amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
BDEPEND="
>=dev-python/pytest-5.0[${PYTHON_USEDEP}]
diff --git a/dev-python/python-utils/Manifest b/dev-python/python-utils/Manifest
index b27835398dd0..35fb3cc9ad9e 100644
--- a/dev-python/python-utils/Manifest
+++ b/dev-python/python-utils/Manifest
@@ -4,3 +4,4 @@ DIST python-utils-2.6.3.tar.gz 14914 BLAKE2B 6df19348feba000dccc516704db38af2996
DIST python-utils-2.7.0.tar.gz 27743 BLAKE2B 5cd0671ad1e003932aed0bf0b69326d907013d3f739e833f218600ee056d76bc87dd2a424f5459654de30dacc3378c14f10af1664344ac66813410d261718c61 SHA512 3401c9ad2e4933d0d40d4bc90f1dbe212e672289e7239a4a46d79a04e80f85bb0def67324f0184ca397ec3708cb935839ffe922a202de9c911198ea86d88e2c5
DIST python-utils-2.7.1.tar.gz 28997 BLAKE2B 3da11dcb297cace3c2c48ae91e6011be2f484a83f264be375437775eb99d9bafe703626ab0d2217da79ec096f90648d387ec7b41611e915ef33fce152553a18c SHA512 9f74a33089886dcd28dfd45602c53a7c6cfc90b151a053dd7e49a5fd502479e889d08bd8b10fdd2ec3bc26e334ae66238740ff59291f4ac95fb486b64f925d4a
DIST python-utils-3.0.0.tar.gz 23243 BLAKE2B 640ebc1b3e59a30be5a5c40291d121919b9f90a71476acf66741cb4b8af691c50c3826d9e8e6b30464f2be8e5ba0ac4683f79962c8833073b8a43a108ead281d SHA512 b03f97b66b71af8eb023ecfa1b671f2d566d139464f63cd512b129a5830651172843285fe7ef028047ca03f345221f5208eac8e1647361f173f1c7b3aed866a6
+DIST python-utils-3.1.0.tar.gz 24251 BLAKE2B c00f4c45480f0948cddfa65d4f1ce17ac6831e29b24913d225544619ebedaca67c0f143b55698f8e2edd658e5f90ac39e005a5c29e09d75b5643f79992ba878a SHA512 e22ea0dc7aa0e6c5b45c55843011971c5075639424d38a712703b0d5ef8af32e3661d39af63b6015c4edfe11fca7a256f4f02c3705e1724fe8b9015931d85cbf
diff --git a/dev-python/python-utils/python-utils-3.1.0.ebuild b/dev-python/python-utils/python-utils-3.1.0.ebuild
new file mode 100644
index 000000000000..be7a0fd85f2d
--- /dev/null
+++ b/dev-python/python-utils/python-utils-3.1.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Collection of small Python functions & classes"
+HOMEPAGE="https://pypi.org/project/python-utils/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="test? ( dev-python/pytest-asyncio[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ docs
+)
+
+python_prepare_all() {
+ sed -i -e '/--cov/d' -e '/--mypy/d' pytest.ini || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/translate-toolkit/Manifest b/dev-python/translate-toolkit/Manifest
index 071546ca44bf..43c821f914bc 100644
--- a/dev-python/translate-toolkit/Manifest
+++ b/dev-python/translate-toolkit/Manifest
@@ -1,2 +1,3 @@
DIST translate-3.5.1.gh.tar.gz 1147898 BLAKE2B f9fc96065727e0016e61fd581690dafc3021471de9ccc9012b223c24778669b984e0bf0ab5f83a910af0e543b0e4793afa110c5b2ced890a257f72512bcaf58d SHA512 2125e3ab019a6b721327d6979482562d5984df28b04aaa69d11e44b6a7396ee387f79d8242a20a84157f9b62457839b52599eb0fe13abac33c9a312a84d55d30
DIST translate-3.5.2.gh.tar.gz 1147847 BLAKE2B 6ca8458975018c3645f3fcead99812b5f91c2a3e621060c1cf9599ecd2fdee8914ae1d70b70f8bc76f5d941f43e69e55555a35a5792d0c8c9d9e06458e670617 SHA512 e04c195d0f33aaf9c2368955c4c399be3c23702ce0fcb41705f727b65e129b652b5637a9b56ad2879f836548b77c266382ce41220a23aa9058828ee2f2ba1b3e
+DIST translate-3.5.3.gh.tar.gz 1148120 BLAKE2B e848a089281ab7f1e17b28beefbea50245025bc3db0616bab3f5e1d288b2aacc0df636dca11f17481af863a4845594ecff9fc66dbc33d403a8fe0575ff90581d SHA512 3ad1bc4742e4d91dbdd8b4662597d07c792e306426dac42b6f8720cefdf1f4cf502d587941df3e6a93dd5648a1b92f5951bd1b5e79a41e5476f1b9ca06624656
diff --git a/dev-python/translate-toolkit/translate-toolkit-3.5.3.ebuild b/dev-python/translate-toolkit/translate-toolkit-3.5.3.ebuild
new file mode 100644
index 000000000000..5ddff07f6631
--- /dev/null
+++ b/dev-python/translate-toolkit/translate-toolkit-3.5.3.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+MY_P=translate-${PV}
+DESCRIPTION="Toolkit to convert between many translation formats"
+HOMEPAGE="https://github.com/translate/translate"
+SRC_URI="
+ https://github.com/translate/translate/archive/refs/tags/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+html +ical +ini +subtitles +yaml"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+BDEPEND=">=dev-python/six-1.11.0[${PYTHON_USEDEP}]"
+RDEPEND="${BDEPEND}
+ !dev-python/pydiff
+ app-text/iso-codes
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ dev-python/cheroot[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/pycountry-19.8.18[${PYTHON_USEDEP}]
+ >=dev-python/python-levenshtein-0.12.0[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ html? ( dev-python/utidylib[${PYTHON_USEDEP}] )
+ ical? ( dev-python/vobject[${PYTHON_USEDEP}] )
+ ini? ( >=dev-python/iniparse-0.5[${PYTHON_USEDEP}] )
+ subtitles? ( media-video/gaupol[${PYTHON_USEDEP}] )
+ yaml? ( dev-python/pyyaml[${PYTHON_USEDEP}] )
+"
+BDEPEND+="
+ test? ( dev-python/phply[${PYTHON_USEDEP}] )"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-bootstrap-theme
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/translate-toolkit-3.3.0-no-install-docs.patch
+)
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Fails with network-sandbox (and even with it off but w/ softer fail)
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_open_office_to_xliff'
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_po_to_xliff'
+ )
+ local EPYTEST_IGNORE=(
+ # unpackaged fluent.*
+ translate/storage/test_fluent.py
+ )
+
+ if ! use ini; then
+ EPYTEST_IGNORE+=(
+ translate/convert/test_ini2po.py
+ translate/convert/test_po2ini.py
+ )
+ fi
+
+ if ! use subtitles; then
+ EPYTEST_IGNORE+=(
+ translate/storage/test_subtitles.py
+ )
+ fi
+
+ # translate/storage/test_mo.py needs 'pocompile'
+ distutils_install_for_testing
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if ! use html; then
+ rm "${ED}"/usr/bin/{html2po,po2html} || die
+ fi
+ if ! use ical; then
+ rm "${ED}"/usr/bin/{ical2po,po2ical} || die
+ fi
+ if ! use ini; then
+ rm "${ED}"/usr/bin/{ini2po,po2ini} || die
+ fi
+ if ! use subtitles; then
+ rm "${ED}"/usr/bin/{sub2po,po2sub} || die
+ fi
+
+ python_optimize
+}
diff --git a/dev-python/uvicorn/Manifest b/dev-python/uvicorn/Manifest
index c2a67564576d..b24b2e9bb0d1 100644
--- a/dev-python/uvicorn/Manifest
+++ b/dev-python/uvicorn/Manifest
@@ -1,2 +1,3 @@
DIST uvicorn-0.15.0_p20210913.gh.tar.gz 542385 BLAKE2B 1e551ffccac6f92981b0ef62cc80fb494b57dc19bddf8430c54b8a06801ee81cdc31a3167a56e90dd8e0f318cc84dfc71443f74beb39dc68ccc252bc6d6c1042 SHA512 865fe148900c8c00847017bab3ef17a9514e7ef7878ad6220633e2bd6d89b2e65a79a82fdabb8beec83841346a175f0c20807bea07536071a06a884c74418e0d
DIST uvicorn-0.16.0.tar.gz 707858 BLAKE2B 604aa23f8eac6409396ed603c89a524ce61630e3edd354cfe86950c535f3829aa1ececc8a91a8eeb8164d125e2b20add14f457ba0b23a0d0efd085c168739bee SHA512 68eb5daeb72b457a43fa89e352bfe281c79c1057ad9616ba083f96c1392aeb56759f13a3ee7e9eb90749f92df137f1db2bf8c90256751513d770d6679e971003
+DIST uvicorn-0.17.0.tar.gz 708241 BLAKE2B 77f87f0ecb911bb19d599fd48d6ea51105c19432f3bee59b3ccefca002fd7ca9e791ed20f1d92ba3ea755461d494cda3e6c26e08d628038594367c7fa7b6238d SHA512 dc67bc7f881cc98a753e1ee494d48860f5174a21c662673398f8c385897fc1a14f389b30e91f8a2d2ff71e0da1beba682315c83a588321f98fe87fa1e1ff7974
diff --git a/dev-python/uvicorn/uvicorn-0.17.0.ebuild b/dev-python/uvicorn/uvicorn-0.17.0.ebuild
new file mode 100644
index 000000000000..a953a42e5044
--- /dev/null
+++ b/dev-python/uvicorn/uvicorn-0.17.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Lightning-fast ASGI server implementation"
+HOMEPAGE="https://www.uvicorn.org/"
+SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/asgiref-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/click-7.0[${PYTHON_USEDEP}]
+ >=dev-python/h11-0.8[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/python-dotenv[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ >=dev-python/websockets-10.0[${PYTHON_USEDEP}]
+ dev-python/watchgod[${PYTHON_USEDEP}]
+ dev-python/wsproto[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # too long path for unix socket
+ tests/test_config.py::test_bind_unix_socket_works_with_reload_or_workers
+ # need unpackaged httptools
+ "tests/middleware/test_logging.py::test_trace_logging_on_http_protocol[httptools]"
+)